curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/machines/seed' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"actions": [
{
"description": "string",
"method": "string",
"name": "string",
"path": "string",
"required_entities": [],
"requires_approval": true
}
],
"brand_name": "string",
"brand_voice": {
"agent_name": "string",
"guidance": "string",
"tone": "string"
},
"catalog": [
{
"aliases": [],
"availability": "string",
"category": "string",
"description": "string",
"name": "string",
"price": "string",
"properties": {},
"sku": "string",
"subscription_price": "string"
}
],
"file_ids": [
"string"
],
"historical_tickets": [
{
"extracted_entities": {},
"input": "string",
"outcome_action": "string",
"outcome_status": "string",
"requires_human_review": true,
"resolved_intent": "string"
}
],
"metadata": {},
"policies": [
{
"category": "string",
"escalation_required": true,
"name": "string",
"text": "string"
}
],
"structured": {
"entities": [
{
"entity_type": null,
"name": null,
"properties": null
}
],
"rules": [
{
"body": null,
"confidence": null,
"description": null,
"head_args": null,
"head_predicate": null,
"name": null
}
],
"triples": [
{
"confidence": null,
"object_id": null,
"predicate": null,
"subject_id": null
}
]
}
}'
{
"brand_name": "string",
"candidate_actions": [
"string"
],
"candidate_intents": [
"string"
],
"created_at": 1,
"id": "string",
"next_step": "string",
"object": "string",
"org_id": "string",
"review_items": [
"string"
],
"status": "string",
"summary": {
"actions": 1,
"catalog_items": 1,
"explicit_rules": 1,
"file_ids": 1,
"historical_tickets": 1,
"labeled_tickets": 1,
"policies": 1,
"unlabeled_tickets": 1
}
}
Seed machine handler
Required scope: models:manage
POST
/
api
/
v1
/
machines
/
seed
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/machines/seed' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"actions": [
{
"description": "string",
"method": "string",
"name": "string",
"path": "string",
"required_entities": [],
"requires_approval": true
}
],
"brand_name": "string",
"brand_voice": {
"agent_name": "string",
"guidance": "string",
"tone": "string"
},
"catalog": [
{
"aliases": [],
"availability": "string",
"category": "string",
"description": "string",
"name": "string",
"price": "string",
"properties": {},
"sku": "string",
"subscription_price": "string"
}
],
"file_ids": [
"string"
],
"historical_tickets": [
{
"extracted_entities": {},
"input": "string",
"outcome_action": "string",
"outcome_status": "string",
"requires_human_review": true,
"resolved_intent": "string"
}
],
"metadata": {},
"policies": [
{
"category": "string",
"escalation_required": true,
"name": "string",
"text": "string"
}
],
"structured": {
"entities": [
{
"entity_type": null,
"name": null,
"properties": null
}
],
"rules": [
{
"body": null,
"confidence": null,
"description": null,
"head_args": null,
"head_predicate": null,
"name": null
}
],
"triples": [
{
"confidence": null,
"object_id": null,
"predicate": null,
"subject_id": null
}
]
}
}'
{
"brand_name": "string",
"candidate_actions": [
"string"
],
"candidate_intents": [
"string"
],
"created_at": 1,
"id": "string",
"next_step": "string",
"object": "string",
"org_id": "string",
"review_items": [
"string"
],
"status": "string",
"summary": {
"actions": 1,
"catalog_items": 1,
"explicit_rules": 1,
"file_ids": 1,
"historical_tickets": 1,
"labeled_tickets": 1,
"policies": 1,
"unlabeled_tickets": 1
}
}
Required scope:
models:manage
Request body
MachineSeedRequest
MachineActionContract[]
string
required
object
MachineCatalogItem[]
string[]
MachineHistoricalTicket[]
object
MachinePolicyDocument[]
object
Response
MachineSeedResponse
string
required
string[]
string[]
integer (int64)
required
string
required
string
required
string
required
string
required
string[]
string
required
MachineSeedSummary
required
Status codes
| Code | Meaning |
|---|---|
201 | Machine seed pack created |
400 | Invalid seed pack |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/machines/seed' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"actions": [
{
"description": "string",
"method": "string",
"name": "string",
"path": "string",
"required_entities": [],
"requires_approval": true
}
],
"brand_name": "string",
"brand_voice": {
"agent_name": "string",
"guidance": "string",
"tone": "string"
},
"catalog": [
{
"aliases": [],
"availability": "string",
"category": "string",
"description": "string",
"name": "string",
"price": "string",
"properties": {},
"sku": "string",
"subscription_price": "string"
}
],
"file_ids": [
"string"
],
"historical_tickets": [
{
"extracted_entities": {},
"input": "string",
"outcome_action": "string",
"outcome_status": "string",
"requires_human_review": true,
"resolved_intent": "string"
}
],
"metadata": {},
"policies": [
{
"category": "string",
"escalation_required": true,
"name": "string",
"text": "string"
}
],
"structured": {
"entities": [
{
"entity_type": null,
"name": null,
"properties": null
}
],
"rules": [
{
"body": null,
"confidence": null,
"description": null,
"head_args": null,
"head_predicate": null,
"name": null
}
],
"triples": [
{
"confidence": null,
"object_id": null,
"predicate": null,
"subject_id": null
}
]
}
}'
{
"brand_name": "string",
"candidate_actions": [
"string"
],
"candidate_intents": [
"string"
],
"created_at": 1,
"id": "string",
"next_step": "string",
"object": "string",
"org_id": "string",
"review_items": [
"string"
],
"status": "string",
"summary": {
"actions": 1,
"catalog_items": 1,
"explicit_rules": 1,
"file_ids": 1,
"historical_tickets": 1,
"labeled_tickets": 1,
"policies": 1,
"unlabeled_tickets": 1
}
}